.\" Manpage for kmon.
.\" Contact orhunparmaksiz@gmail.com to correct errors or typos.
.TH KMON "8" "February 2020" "kmon" "System Administration Utilities"
.SH NAME
kmon \- manage the kernel modules and monitor kernel activities
.SH SYNOPSIS
.B kmon
[FLAGS] [OPTIONS] [SUBCOMMANDS]
.SH DESCRIPTION
kmon provides a text-based user interface for managing the Linux kernel modules and monitoring the kernel activities. 
.SH "USAGE:"
Press '?' while running the terminal UI to see key bindings.
.SS "FLAGS:"
.TP
\fB\-h\fR, \fB\-\-help\fR
Prints help information
.TP
\fB\-r\fR, \fB\-\-reverse\fR
Reverse the kernel module list
.TP
\fB\-u\fR, \fB\-\-unicode\fR
Show Unicode symbols for the block titles
.TP
\fB\-V\fR, \fB\-\-version\fR
Prints version information
.SS "OPTIONS:"
.TP
\fB\-c\fR, \fB\-\-color\fR <COLOR>
Set the main color using hex or color name [default: darkgray]
.TP
\fB\-t\fR, \fB\-\-tickrate\fR <MS>
Set the refresh rate of the terminal [default: 250]
.SS "SUBCOMMANDS:"
.TP
.B help
Prints this message or the help of the given subcommand(s)
.TP
.B sort
Sort kernel modules
.SS "INTERACTIVE COMMANDS"
.TP
.B [?], F1
Help
.TP
.B right/left, h/l
Switch between blocks
.TP
.B up/down, k/j
Scroll up/down [selected block]
.TP
.B pgup/pgdown
Scroll up/down [kernel activities]
.TP
.B </>
Scroll up/down [module information]
.TP
.B ctrl-t/b, home/end
Scroll to top/bottom [module list]
.TP
.B ctrl-l/u, alt-c
Clear the kernel ring buffer
.TP
.B [\\\], tab, backtab
Show the next kernel information
.TP
.B [/], s, enter
Search a kernel module
.TP
.B [+], i, insert
Load a kernel module
.TP
.B [-], u, backspace
Unload the kernel module
.TP
.B x, b, delete
Blacklist the kernel module
.TP
.B y/n
Execute/cancel the command
.TP
.B c/v
Copy/paste
.TP
.B r, F5
Refresh
.TP
.B q, ctrl-c/d, ESC
Quit
.SH BUGS
No known bugs.
.br
Use "Issues" page for reporting bugs: <https://github.com/orhun/kmon/issues/>
.SH AUTHOR
Orhun PARMAKSIZ <orhunparmaksiz@gmail.com>
.SH COPYRIGHT
Copyright (C) 2020 Orhun PARMAKSIZ
.P
GNU General Public License v3.